%define base_name pclinuxos
%define oname ufficiozero
%define name gdm-theme-%{oname}
%define version 2.0.3
%define release %mkrel 4

Summary:	Theme for Gnome Display Manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source: 	%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphical desktop/GNOME
URL:		https://www.ufficiozero.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	gdm
Provides:   gdm-theme-pclinuxos
Obsoletes:  gdm-theme-pclinuxos

%description
The default GDM theme for ufficiozero.

%prep 
%setup -q

%build 
#nobuild

%install
rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/gdm/themes/%{base_name}
cp -fr * %buildroot%{_datadir}/gdm/themes/%{base_name}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_datadir}/gdm/themes/%{base_name}

%posttrans
# MATE
#perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=ufficiozero|" /usr/share/gdm/defaults.conf
#perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=ufficiozero|" /usr/share/gdm/factory-defaults.conf
#perl -pi -e "s|/usr/share/gdm/themes/Avio-GDM/background.jpg|/usr/share/gdm/themes/ufficiozero/background.jpg|" /usr/share/gdm/defaults.conf
#perl -pi -e "s|/usr/share/gdm/themes/Avio-GDM/background.jpg|/usr/share/gdm/themes/ufficiozero/background.jpg|" /usr/share/gdm/factory-defaults.conf

#LXDE
#perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=ufficiozero|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalTheme=lxde64|GraphicalTheme=ufficiozero|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalTheme=PCLXDE-GDM|GraphicalTheme=ufficiozero|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalThemes=LXDE|GraphicalThemes=ufficiozero|" /etc/X11/gdm/custom.conf
#rm -f /etc/X11/gdm/custom.conf > /dev/null 2>&1
#touch /etc/X11/gdm/custom.conf > /dev/null 2>&1


%changelog
* Sun May 15 2022 adrianomorselli <dev@ufficiozero.org> 2.0.3-4ufficiozero2022
- new distro Cagliari

* Fri Apr 15 2022 adrianomorselli <dev@ufficiozero.org> 2.0.3-3ufficiozero2022
- new background and logo

* Wed Mar 04 2021 adrianomorselli <adrianomorselli> 2.0.3-2ufficiozero2021
- rebuild for ufficiozero

* Wed May 20 2020 adrianomorselli <adrianomorselli> 2.0.1-2.1ufficiozero2020
- rebuild for ufficiozero
